lwIP 2.1.2 Lightweight IP stack

Data Fields
dns_api_msg Struct Reference

`#include <api_msg.h>`

## Data Fields
const char * | name
ip_addr_t * | addr
u8_t | dns_addrtype
sys_sem_t * | sem
err_t * | err

## Detailed Description

As lwip_netconn_do_gethostbyname requires more arguments but doesn't require a netconn, it has its own struct (to avoid struct api_msg getting bigger than necessary). lwip_netconn_do_gethostbyname must be called using tcpip_callback instead of tcpip_apimsg (see netconn_gethostbyname).

## Field Documentation

## ◆ addr

ip_addr_t* dns_api_msg::addr

The resolved address is stored here

## ◆ dns_addrtype

u8_t dns_api_msg::dns_addrtype

Type of resolve call

## ◆ err

err_t* dns_api_msg::err

Errors are given back here

## ◆ name

const char* dns_api_msg::name

Hostname to query or dotted IP address string

## ◆ sem

sys_sem_t* dns_api_msg::sem

This semaphore is posted when the name is resolved, the application thread should wait on it.

The documentation for this struct was generated from the following file:

- src/include/lwip/priv/api_msg.h